Eclipse Platform Release 3.7

## org.eclipse.core.runtime.content
Interface IContentTypeManager.IContentTypeChangeListener

Enclosing interface:
  IContentTypeManager

    public static interface IContentTypeManager.IContentTypeChangeListener

A listener to be used to receive content type change events.

Clients who reference the `org.eclipse.core.resources` bundle are encouraged not to use this listener mechanism to detect encoding changes. The Core Resources bundle will detect changes to content types and notify clients appropriately of potential changes to the encoding of files in the workspace via the resource change mechanism.

Clients may implement this interface.

Method Summary
`void` `contentTypeChanged(IContentTypeManager.ContentTypeChangeEvent event)` Notification that a content type has changed in the content type manager.

Method Detail

### contentTypeChanged

    void contentTypeChanged(IContentTypeManager.ContentTypeChangeEvent event)

  Notification that a content type has changed in the content type manager. The given event object contains the content type which changed and must not be `null`.

  Parameters:
    `event` - the content type change event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.